<?php
/**
* Plugin Name: Storewide Sale
* Plugin URI: https://www.highaddons.com/
* Description: Apply storewide sale in one click settings.
* Version: 1.0.4
* Author: HighAddons
* Author URI: https://www.highaddons.com/
* Developer: HighAddons
* Developer URI: https://www.highaddons.com/
* Text Domain: storewide-sale
*
* Woo: 6664290:90c72f88f7aff7e80894c3865c2ce508
* WC requires at least: 3.5
* WC tested up to: 7.0.1
* 
* Copyright: © 2009-2015 WooCommerce.
* License: GNU General Public License v3.0
* License URI: http://www.gnu.org/licenses/gpl-3.0.html
**/
if ( !defined('ABSPATH') ) {
	exit; // Exit if accessed directly.
} 
if ( !defined('WC_SWS_DIR') ) {
	define('WC_SWS_DIR', plugin_dir_path(__FILE__));
}
if ( !defined('WC_SWS_URL') ) {
	define('WC_SWS_URL', plugin_dir_url(__FILE__));
}
if ( !class_exists('SWS_Store_Wide_Sale') ) {
	class SWS_Store_Wide_Sale {
		public function __construct() {
			/**
			 * Check if WooCommerce is installed and active.
			 * 
			 * @since 1.0.0
			 **/
			if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins'))) ) {
				$this->sws_init();
			} else {
				add_action('admin_notices', array($this, 'sws_admin_notices'));
			}
		}
		public function sws_init() {
			/**
			 * Load language.
			 * 
			 * @since 1.0.0
			 **/
			if ( function_exists( 'load_plugin_textdomain' ) ) {
				load_plugin_textdomain('storewide-sale', false, dirname(plugin_basename(__FILE__)) . '/languages/');
			}
			if ( is_admin() ) {
				require_once WC_SWS_DIR . '/includes/class-sws-backend.php';
				require_once WC_SWS_DIR . '/includes/class-sws-category-settings.php';
			} else {
				require_once WC_SWS_DIR . '/includes/class-sws-frontend.php';
			}
		}
		public function sws_admin_notices() {
			global $pagenow;
			if ( 'plugins.php' === $pagenow ) {
				$class = 'notice notice-error is-dismissible';
				$message = esc_html__('Cart To Quote For WooCommerce needs WooCommerce to be installed and active.', 'storewide-sale');
				printf('<div class="%1$s"><p>%2$s</p></div>', esc_html($class), esc_html($message));
			}
		}
	}
	new SWS_Store_Wide_Sale();
}
